Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::OrientedBoxIntersection Class Reference

指向性ボックス交差 More...

`#include <OrientedBoxIntersection.h>`

List of all members.

## Static Public Member Functions
bool | intersect (const OrientedBox &ob, const Vector3 &point)
| 点交差
bool | intersect (const OrientedBox &ob0, const OrientedBox &ob1)
| 指向性ボックス交差
bool | intersect (const OrientedBox &ob, const Plane &plane)
| 平面交差
bool | intersect (const OrientedBox &ob, const Ray &ray)
| レイ交差
bool | intersect (const OrientedBox &ob, const Segment &segment)
| セグメント交差
bool | intersect (const OrientedBox &ob, const Sphere &sphere)
| 球交差
bool | intersect (const OrientedBox &ob, const Triangle &triangle)
| 三角交差

## Detailed Description

指向性ボックス交差

Definition at line 41 of file OrientedBoxIntersection.h.

## Member Function Documentation

bool Lamp::OrientedBoxIntersection::intersect | ( | const OrientedBox & | ob,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角交差 Parameters:
  ob | 指向性ボックス
  triangle | 三角
Returns: 交差していればtrue Definition at line 90 of file OrientedBoxIntersection.cpp. References Assert.

bool Lamp::OrientedBoxIntersection::intersect | ( | const OrientedBox & | ob,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球交差 Parameters:
  ob | 指向性ボックス
  sphere | 球
Returns: 交差していればtrue Definition at line 81 of file OrientedBoxIntersection.cpp. References Assert.

bool Lamp::OrientedBoxIntersection::intersect | ( | const OrientedBox & | ob,
|  | const Segment & | segment
| ) | `[static]`

  | セグメント交差 Parameters:
  ob | 指向性ボックス
  segment | セグメント
Returns: 交差していればtrue Definition at line 72 of file OrientedBoxIntersection.cpp. References Assert.

bool Lamp::OrientedBoxIntersection::intersect | ( | const OrientedBox & | ob,
|  | const Ray & | ray
| ) | `[static]`

  | レイ交差 Parameters:
  ob | 指向性ボックス
  ray | レイ
Returns: 交差していればtrue Definition at line 64 of file OrientedBoxIntersection.cpp. References Assert.

bool Lamp::OrientedBoxIntersection::intersect | ( | const OrientedBox & | ob,
|  | const Plane & | plane
| ) | `[static]`

  | 平面交差 Parameters:
  ob | 指向性ボックス
  plane | 平面
Returns: 交差していればtrue Definition at line 54 of file OrientedBoxIntersection.cpp. References Lamp::OrientedBox::getCenter(), Lamp::Plane::getDistance(), Lamp::OrientedBox::getEffectiveDiameter(), and Lamp::Plane::getNormal().

bool Lamp::OrientedBoxIntersection::intersect | ( | const OrientedBox & | ob0,
|  | const OrientedBox & | ob1
| ) | `[static]`

  | 指向性ボックス交差 Parameters:
  ob0 | 指向性ボックス
  ob1 | 指向性ボックス
Returns: 交差していればtrue Definition at line 45 of file OrientedBoxIntersection.cpp. References Assert.

bool Lamp::OrientedBoxIntersection::intersect | ( | const OrientedBox & | ob,
|  | const Vector3 & | point
| ) | `[static]`

  | 点交差 Parameters:
  ob | 指向性ボックス
  point | 点
Returns: 交差していればtrue Definition at line 36 of file OrientedBoxIntersection.cpp. References Assert.

The documentation for this class was generated from the following files:

- OrientedBoxIntersection.h
- OrientedBoxIntersection.cpp